> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Plaid items

> Get Plaid items for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/banks/plaidItems
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/banks/plaidItems:
    get:
      tags:
        - Banks
      summary: Get Plaid items
      description: Get Plaid items for the authenticated user
      operationId: getPlaidItems
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlaidItemDTOV4'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    PlaidItemDTOV4:
      required:
        - apiAccessToken
        - apiInstitutionId
        - apiInstitutionName
        - apiItemId
        - createdDate
        - status
      type: object
      properties:
        id:
          type: integer
          description: Id of the Plaid Item, required when updating existing Plaid Item
          format: int64
        status:
          type: string
          description: Status of this Plaid Item
          example: ACTIVE
          enum:
            - ACTIVE
            - DELETED
        createdDate:
          type: string
          description: Date Plaid Item got created
          format: date-time
        isInitialReady:
          type: boolean
          description: >-
            Whether the INITIAL Plaid Item webhook has been sent by Plaid,
            indicating that recent transactions are available
          readOnly: true
          example: true
        isHistoricalReady:
          type: boolean
          description: >-
            Whether the HISTORICAL Plaid Item webhook has been sent by Plaid,
            indicating that historical transactions are available
          readOnly: true
          example: true
        apiItemId:
          type: string
          description: Id of the Plaid Item, for reference within Plaid's API
          example: 3E51DvPAgMigGmybkpv9tzNjbjboEotqykvEo
        apiInstitutionId:
          type: string
          description: Id of the institution that the transaction originated from
          example: ins_4
        apiInstitutionName:
          type: string
          description: Name of the institution that the transaction originated from
          example: Citi
        apiAccessToken:
          type: string
          description: Access Token of the Plaid Item, for reference within Plaid's API
          example: access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147
        apiErrorType:
          type: string
          description: error_type of the Plaid error
          example: ITEM_ERROR,API_ERROR
        apiErrorCode:
          type: string
          description: error_code of the Plaid error
          example: ITEM_LOGIN_REQUIRED
        apiErrorDisplayMessage:
          type: string
          description: display_message of the Plaid error
        apiErrorMessage:
          type: string
          description: error_message of the Plaid error
          example: >-
            the login details of this item have changed (credentials, MFA, or
            required user action) and a user login is required to update this
            information. use Link's update mode to restore the item to a good
            state
        additionalConsentRequired:
          type: boolean
          description: >-
            Flag to indicate additional user consent is required to access all
            features available on this integration. Commonly used to indicate
            there are more available products on a Plaid Item.
        lastInstitutionTranDate:
          type: string
          description: >-
            Date of most recent transaction under the same institution as this
            Plaid item
          format: date-time
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````